def JInvariants(a0,a1,a2,a3,a4,a5=1,a6=0):
  R.<x>=QQ[]
  poly=a0+a1*x+a2*x^2+a3*x^3+a4*x^4+a5*x^5+a6*x^6
  I2,I4,I6,I10=igusa_clebsch_invariants(poly);
 
  j2=I2/8;
  j4=1/2^5/3*(4*j2^2-I4);
  j6=1/2^6/9*(8*j2^3-160*j2*j4-I6);
  j10=I10/2^12;
  return j2,j4,j6,j10
  
def absoluteInvariants(a0,a1,a2,a3,a4,a5=1,a6=0):
  j2,j4,j6,j10 = JInvariants(a0,a1,a2,a3,a4,a5,a6)
  if j2==0:
    return 0,0,0
  '''
  print j2,j4,j6,j10
  '''
  i1=144*j4/(j2^2);
  i2=-1728*(j2*j4-3*j6)/(j2^3)
  i3=486*j10/j2^5;
  return i1,i2,i3
